Bug 477854 - Review Request: yersinia - Network protocols tester and attacker
Review Request: yersinia - Network protocols tester and attacker
Status: CLOSED NEXTRELEASE
Product: Fedora
Classification: Fedora
Component: Package Review (Show other bugs)
rawhide
All Linux
medium Severity medium
: ---
: ---
Assigned To: manuel wolfshant
Fedora Extras Quality Assurance
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2008-12-24 04:48 EST by Fabian Affolter
Modified: 2014-09-11 11:20 EDT (History)
2 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2009-01-14 21:57:45 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---
wolfy: fedora‑review+
limburgher: fedora‑cvs+


Attachments (Terms of Use)

  None (edit)
Description Fabian Affolter 2008-12-24 04:48:06 EST
Spec URL: http://fab.fedorapeople.org/packages/SRPMS/yersinia.spec
SRPM URL: http://fab.fedorapeople.org/packages/SRPMS/yersinia-0.7.1-1.fc9.src.rpm

Project URL: ttp://www.yersinia.net/

Description:
Yersinia is a network tool designed to take advantage of some weakeness
in different network protocols. It pretends to be a solid framework for
analyzing and testing the deployed networks and systems.

Currently, there are some network protocols implemented, but others are 
coming (tell us which one is your preferred). Attacks for the following
network protocols are implemented (but of course you are free for 
implementing new ones):

* Spanning Tree Protocol (STP)
* Cisco Discovery Protocol (CDP)
* Dynamic Trunking Protocol (DTP)
* Dynamic Host Configuration Protocol (DHCP)
* Hot Standby Router Protocol (HSRP)
* IEEE 802.1Q and IEEE 802.1X
* Inter-Switch Link Protocol (ISL)
* VLAN Trunking Protocol (VTP)

Koji scratch build:
http://koji.fedoraproject.org/koji/taskinfo?taskID=1020348 

rpmlint output:
[fab@laptop024 i386]$ rpmlint yersinia*
2 packages and 0 specfiles checked; 0 errors, 0 warnings.

[fab@laptop024 SRPMS]$ rpmlint yersinia*
1 packages and 0 specfiles checked; 0 errors, 0 warnings.
Comment 1 manuel wolfshant 2008-12-24 05:15:56 EST
Nice to see yersinia in Fedora.
Please make sure that the mandatory compiler flags are used, for the moment the following set is used:

 gcc `/usr/bin/libnet-config --defines` -DHAVE_CONFIG_H -DPACKAGE_DATA_DIR=\""/usr/share"\" -DPACKAGE_LOCALE_DIR=\""/usr//locale"\" -I. -I. -
I.  -I/usr/include/gtk-2.0 -I/usr/lib64/gtk-2.0/include -I/usr/include/atk-1.0 -I/usr/include/cairo -I/usr/include/pango-1.0 -I/usr/include/
glib-2.0 -I/usr/lib64/glib-2.0/include -I/usr/include/pixman-1 -I/usr/include/freetype2 -I/usr/include/libpng12      -O3 -Wall -g
Comment 3 manuel wolfshant 2008-12-27 01:02:03 EST
Package Review
==============

Key:
 - = N/A
 x = Check
 ! = Problem
 ? = Not evaluated

=== REQUIRED ITEMS ===
 [x] Package is named according to the Package Naming Guidelines.
 [x] Spec file name must match the base package %{name}, in the format %{name}.spec.
 [x] Package meets the Packaging Guidelines.
 [x] Package successfully compiles and builds into binary rpms on at least one supported architecture.
     Tested on: devel/x86_64
 [x] Rpmlint output:
source RPM: empty
binary RPM:empty
 [x] Package is not relocatable.
 [x] Buildroot is correct (%{_tmppath}/%{name}-%{version}-%{release}-root-%(%{__id_u} -n))
 [x] Package is licensed with an open-source compatible license and meets other legal requirements as defined in the legal section of Packaging Guidelines.
 [x] License field in the package spec file matches the actual license.
     License type:GPLv2+
 [x] If (and only if) the source package includes the text of the license(s) in its own file, then that file, containing the text of the license(s) for the package is included in %doc.
 [x] Spec file is legible and written in American English.
 [x] Sources used to build the package match the upstream source, as provided in the spec URL.
     SHA1SUM of package: cacb446548d076149de0a71a6c03cd2edaa14660 yersinia-0.7.1.tar.gz
 [x] Package is not known to require ExcludeArch.
 [x] All build dependencies are listed in BuildRequires, except for any that are listed in the exceptions section of Packaging Guidelines.
 [-] The spec file handles locales properly.
 [-] ldconfig called in %post and %postun if required.
 [x] Package must own all directories that it creates.
 [x] Package requires other packages for directories it uses.
 [x] Package does not contain duplicates in %files.
 [x] Permissions on files are set properly.
 [x] Package has a %clean section, which contains rm -rf %{buildroot} (or $RPM_BUILD_ROOT).
 [x] Package consistently uses macros.
 [x] Package contains code, or permissable content.
 [-] Large documentation files are in a -doc subpackage, if required.
 [x] Package uses nothing in %doc for runtime.
 [-] Header files in -devel subpackage, if present.
 [-] Static libraries in -devel subpackage, if present.
 [-] Package requires pkgconfig, if .pc files are present.
 [-] Development .so files in -devel subpackage, if present.
 [-] Fully versioned dependency in subpackages, if present.
 [x] Package does not contain any libtool archives (.la).
 [-] Package contains a properly installed %{name}.desktop file if it is a GUI application.
 [x] Package does not own files or directories owned by other packages.
 [x] Final provides and requires are sane.

=== SUGGESTED ITEMS ===
 [x] Latest version is packaged.
 [x] Package does not include license text files separate from upstream.
 [-] Description and summary sections in the package spec file contains translations for supported Non-English languages, if available.
 [x] Reviewer should test that the package builds in mock.
     Tested on: devel/x86_64 + koji scratch build
 [x] Package should compile and build into binary rpms on all supported architectures.
     Tested on: koji scratch build
 [x] Package functions as described.
 [-] Scriptlets must be sane, if used.
 [-] The placement of pkgconfig(.pc) files is correct.
 [-] File based requires are sane.
 [-] %check is present and the test passes.


================
*** APPROVED ***
================
Comment 4 Fabian Affolter 2008-12-27 03:50:45 EST
New Package CVS Request
=======================
Package Name: yersinia
Short Description: Network protocols tester and attacker
Owners: fab
Branches: F-9 F-10
InitialCC:
Comment 5 Kevin Fenzi 2008-12-28 14:12:15 EST
cvs done.
Comment 6 Fabian Affolter 2008-12-28 16:10:38 EST
Thank you guys for the review and the cvs.
Comment 7 Fedora Update System 2008-12-28 16:11:29 EST
yersinia-0.7.1-2.fc9 has been submitted as an update for Fedora 9.
http://admin.fedoraproject.org/updates/yersinia-0.7.1-2.fc9
Comment 8 Fedora Update System 2008-12-28 16:11:32 EST
yersinia-0.7.1-2.fc10 has been submitted as an update for Fedora 10.
http://admin.fedoraproject.org/updates/yersinia-0.7.1-2.fc10
Comment 9 Fedora Update System 2008-12-30 18:47:47 EST
yersinia-0.7.1-2.fc10 has been pushed to the Fedora 10 testing repository.  If problems still persist, please make note of it in this bug report.
 If you want to test the update, you can install it with 
 su -c 'yum --enablerepo=updates-testing update yersinia'.  You can provide feedback for this update here: http://admin.fedoraproject.org/updates/F10/FEDORA-2008-11889
Comment 10 Fedora Update System 2008-12-30 18:53:12 EST
yersinia-0.7.1-2.fc9 has been pushed to the Fedora 9 testing repository.  If problems still persist, please make note of it in this bug report.
 If you want to test the update, you can install it with 
 su -c 'yum --enablerepo=updates-testing-newkey update yersinia'.  You can provide feedback for this update here: http://admin.fedoraproject.org/updates/F9/FEDORA-2008-11940
Comment 11 Fedora Update System 2009-01-14 21:57:41 EST
yersinia-0.7.1-2.fc10 has been pushed to the Fedora 10 stable repository.  If problems still persist, please make note of it in this bug report.
Comment 12 Fedora Update System 2009-01-14 22:03:29 EST
yersinia-0.7.1-2.fc9 has been pushed to the Fedora 9 stable repository.  If problems still persist, please make note of it in this bug report.
Comment 13 Fabian Affolter 2014-09-11 10:46:49 EDT
Package Change Request
======================
Package Name: yersinia
New Branches: epel7
Owners: fab 
InitialCC:
Comment 14 Gwyn Ciesla 2014-09-11 11:20:04 EDT
Git done (by process-git-requests).

Note You need to log in before you can comment on or make changes to this bug.